Cancel Payment Intent
curl --request POST \
--url https://api.withflex.com/v1/payment_intents/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/payment_intents/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/payment_intents/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_intent": {
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_capturable": 2500,
"amount_received": 2500,
"transfer_data": {},
"status": "canceled",
"created_at": "2026-06-15T14:30:00Z",
"capture_method": "automatic",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false,
"transfer_group": "example_value",
"payment_card_type": "primary",
"last_payment_error": {}
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Cancel Payment Intent
Cancels a PaymentIntent
POST
/
v1
/
payment_intents
/
{id}
/
cancel
Cancel Payment Intent
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a single payment intent object.
An envelope wrapping a single payment intent object.
The payment intent object.
Show child attributes
Show child attributes
Example:
{ "payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "amount": 2500, "amount_capturable": 2500, "amount_received": 2500, "customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "transfer_data": { "amount": 2500, "destination": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA" }, "status": "canceled", "latest_charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "created_at": "2026-06-15T14:30:00Z", "invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "capture_method": "automatic", "metadata": { "order_id": "8842", "channel": "shopify" }, "payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "test_mode": false, "transfer_group": "example_value", "payment_card_type": "primary", "last_payment_error": { "type": "string", "payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA" } }
⌘I